<template name="imageOptions">
    <div id="imageOptions">
        <h4>
            <button class='imageOptionsButton custom-button'>Click here to customize your&nbsp;image!</button>
        </h4>
        <div id="imageOptionsDetails" class="row container-fluid">

            <div class="imageOption">
                <button class='custom-button-inv'>Fonts and colors</button>
                <div class="imageOptionDetails">
                    <div class="row">
                        <div class="col-xs-6 col-sm-3 col-sm-offset-3">
                            <h5>Background color:</h5>
                            <form id="backgroundColor">
                                {{>colorpicker}}
                            </form>
                        </div>
                        <div class="col-sm-3 col-xs-6">
                            <h5>Artist name font:</h5>
                            <form id="artistNameFont" class="fontPicker">
                                {{> fontPicker name="artistNameFont"}}
                            </form>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-xs-6 col-sm-3 col-sm-offset-3">
                            <h5>Words color:</h5>
                            <form id="wordColor">
                                {{>colorpicker}}
                            </form>
                        </div>
                        <div class="col-sm-3 col-xs-6">
                            <h5>Words font:</h5>
                            <form id="wordcloudFont" class="fontPicker">
                                {{> fontPicker name="wordcloudFont"}}
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="imageOption">
                <button class='custom-button-inv'>Draw your own image in wordCloud!</button>
                <div class="imageOptionDetails">
                    {{> canvasMask}}
                </div>
            </div>
            <div class="imageOption">
                <button class='custom-button-inv'>Upload custom image mask</button>
                <div class="imageOptionDetails">
                    <div id="imageUpload">
                        <h5 class="fileupload-new">Upload a <strong>black & white (no grayscale), 600x600px</strong>
                            file.
                        </h5>
                        <h5>Only <strong>black</strong> areas will be filled with wordcloud. </h5>
                        <br/>
                        <div class="fileupload fileupload-new" data-provides="fileupload">
                        <span class="btn btn-file">
                            <input name="file-upload.name" class="file-upload-input" method="file-upload.method"
                                   type="file"/>
                        </span>
                            <span class="fileupload-preview"></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>


<template name="colorpicker">
    <div class="colorpicker input-group colorpicker-component">
        <input type="text" class="form-control"/>
        <span class="input-group-addon"><i></i></span>
    </div>
</template>

<template name="fontPicker">
    <div>
        <input class="fontChoice" type='radio' name={{this.name}} value = 'Rubik' id='{{this.name}}Rubik'>
        <label for="Rubik" class="fontPrev RubikMonoOne">Rubik</label>
    </div>
    <div>
        <input class="fontChoice" type='radio' name={{this.name}} value = 'Anton' id='{{this.name}}Anton'>
        <label for="Anton" class="fontPrev Anton">Anton</label>
    </div>
    <div>
        <input class="fontChoice" type='radio' name={{this.name}} value = 'Plaster' id='{{this.name}}Plaster'>
        <label for="Plaster" class="fontPrev Plaster">Plaster</label>
    </div>
    <div>
        <input class="fontChoice" type='radio' name={{this.name}} value = 'Elite' id='{{this.name}}Elite'>
        <label for="Elite" class="fontPrev SpecialElite">Elite</label>
    </div>
    <div>
        <input class="fontChoice" type='radio' name={{this.name}} value = 'Grace' id='{{this.name}}Grace'>
        <label for="Grace" class="fontPrev CoveredByYourGrace">Grace</label>
    </div>
    <div>
        <input class="fontChoice" type='radio' name={{this.name}} value = 'Roboto' id='{{this.name}}Roboto'>
        <label for="Roboto" class="fontPrev Roboto">Roboto</label>
    </div>
</template>